SCRIPT=`realpath $0`
SCRIPTPATH=`dirname $SCRIPT`

docker kill ldap-service phpldapadmin-service
docker rm ldap-service phpldapadmin-service
docker run \
	--env LDAP_ORGANISATION="Warpzone" \
	--env LDAP_DOMAIN="warpzone.ms" \
	--env LDAP_ADMIN_PASSWORD="k7dAw8j2" \
	--volume $SCRIPTPATH/data/database:/var/lib/ldap \
	--volume $SCRIPTPATH/data/config:/etc/ldap/slapd.d \
	--name ldap-service \
	--hostname ldap-service \
	--detach osixia/openldap:latest

docker run \
	--name phpldapadmin-service \
	--hostname phpldapadmin-service \
	--link ldap-service:ldap-host \
	--env PHPLDAPADMIN_LDAP_HOSTS=ldap-host \
	-p 6443:443 \
	--detach osixia/phpldapadmin:latest

